Draft: Polilinea

From FreeCAD Documentation
Revision as of 00:11, 15 September 2019 by Renatorivo (talk | contribs)
Jump to: navigation, search
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
Arrow-left.svg Draft Line.svg Linea Pagina precedente:
Pagina successiva: Raccordot Draft Fillet.svg Arrow-right.svg

Draft Wire.svg DWire

Posizione nel menu
Draft → Polilinea
Ambiente
Draft, Architettura
Avvio veloce
W I
Introdotto nella versione
0.7
Vedere anche
Linea, BSpline


Descrizione

Questo strumento crea una polilinea (una sequenza di segmenti) nel piano di lavoro corrente. La polilinea assume il tipo di linea e il colore impostati in precedenza nella Barra dei comandi del Vassoio di Draft. Lo strumento Polilinea si comporta come lo strumento Linea, con la differenza che consente di inserire più di due punti.

Lo strumento BSpline si comporta come lo strumento Polilinea, eccetto che ciascuno dei suoi tratti è curvo invece di essere una linea retta. Usare Polilinea in B-spline per convertire tra i due tipi.

Draft Polyline example.jpg

Polilinea definita da più punti


Utilizzo

  1. Premere il pulsante Draft Wire.svg Polilinea, o premere i tasti W e I.
  2. Selezionare il primo punto nella vista 3D, o digitare le coordinate e poi premere il pulsante Draft AddPoint.svg aggiungi punto.
  3. Selezionare un punto successivo nella vista 3D, o digitare le coordinate e poi premere il pulsante Draft AddPoint.svg aggiungi punto.
  4. Premere Esc o il pulsante Chiudi per completare l'editazione.

La polilinea può essere modificata facendo doppio clic sull'elemento nella vista ad albero o premendo il pulsante Draft Edit.svg Modifica. Quindi si può spostare i punti in una nuova posizione o fare clic su Draft AddPoint.svg aggiungi punto o Draft DelPoint.svg rimuovi punto e quindi fare clic sul wire per aggiungere o rimuovere punti.

Unire singole linee

Se vengono selezionati più Linee collegate quando si preme il pulsante Draft Wire.svg Polilinea, esse vengono trasformate in una polilinea e si esce dal comando. Disponibile dalla versione 0.17

Note: i punti finali delle linee devono essere esattamente a contatto o non si uniscono. Se necessario, regolare manualmente le Coordinate dei punti di inizio e fine delle linee, o Agganciare i punti con la modalità Punto finale per rendere i nodi coincidenti.

Opzioni

  • Premere il tasto A o il pulsante Draft FinishLine.png Termina per finire la polilinea lasciandola aperta.
  • Premere il tasto O o il pulsante Draft CloseLine.png Chiudi per chiudere la polilinea, prciò viene aggiunto un segmento dall'ultimo punto al primo per formare una faccia. Per formare una faccia sono necessari almeno tre punti.
  • Premere il tasto W o il pulsante Draft Wipe.svg Pulisci per rimuovere i segmenti di linea già posizionati, ma continuare a editare la polilinea dall'ultimo punto.
  • Premere il tasto U o il pulsante Draft SelectPlane.svg Imposta il piano per adattare il piano di lavoro corrente all'orientamento dell'ultimo punto.
  • Premere il tasto X, o Y o Z dopo un punto per vincolare il prossimo punto sull'asse dato.
  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio per ciascun componente X, Y e Z.. È possibile premere il pulsante Draft AddPoint.svg Inserisci punto quando si hanno i valori desiderati per inserire il punto.
  • Premere il tasto R oppure fare clic sulla casella di controllo per attivare la modalità "relativo". Se la modalità relativo è attiva, le coordinate del punto successivo sono relative all'ultimo; in caso contrario, sono assolute, prese dall'origine (0,0,0).
  • Premere il tasto T oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento Polilinea si riavvia dopo aver terminato la polilinea in costruzione, e consente di disegnare una nuova polilinea senza premere nuovamente il pulsante dello strumento.
  • Premere il tasto L oppure fare clic sulla casella di controllo per attivare la modalità riempito. Se la modalità di riempimento è attiva, una polilinea chiusa crea una faccia piena (DATAMake Face True); in caso contrario, la polilinea chiusa non crea una faccia (DATAMake Face False).
Note: la polilinea non deve essere riempita se si autointerseca , perché in questo caso non crea una faccia corretta. Se la polilinea è piena ma non è visibile alcuna forma, impostare manualmente DATAMake Face su False per vedere la polilinea.
  • Tenere premuto Ctrl mentre si disegna per forzare l'aggancio del proprio punto alla posizione di aggancio più vicina, indipendentemente dalla distanza.
  • Tenere premuto Maiusc mentre si disegna per vincolare il prossimo punto in orizzontale o in verticale rispetto all'ultimo.
  • Premere i tasti Ctrl+Z o premere il pulsante Draft UndoLine.png Undo per annullare l'ultimo punto.
  • Premere il tasto Esc o il pulsante Chiudi per interrompere il comando corrente; i segmenti di linea già posizionati rimamgono.

Proprietà

Un oggetto Polilinea condivide tutte le proprietà di una Linea, tuttavia, la maggior parte delle proprietà ha senso solo per una Polilinea.

Dati

  • DATAStart: specifica il primo punto nel filo.
  • DATAEnd: specifica l'ultimo punto nel filo, senza contare il punto iniziale se il filo è chiuso.
  • DATAClosed: specifica se il filo è chiuso o meno. Se il filo è inizialmente aperto, questo valore è False; impostandolo su True disegna un segmento di linea per chiudere il filo. Se il filo è inizialmente chiuso, questo valore è True; impostandolo su False si rimuove l'ultimo segmento di linea e si apre il filo.
  • DATAChamfer Size: specifica la dimensione degli smussi (segmenti retti) creati agli angoli del filo.
  • DATAFillet Radius: specifica il raggio dei raccordi (segmenti di arco) creati agli angoli del filo.
  • DATAMake Face: specifica se il filo crea una faccia o no. Se è True viene creata una faccia, altrimenti solo i bordi sono considerati parte dell'oggetto. Questa proprietà funziona solo se DATAClosed è True.
Note: non impostare DATAMake Face su True se il filo si interseca, poiché non crea una faccia corretta.
  • DATASubdivisions: specifica il numero di nodi interni in ciascun segmento del filo. Disponibile dalla versione 0.16
  • DATALength: (sola lettura) specifica la lunghezza dell'intero filo.

Vista

  • VIEWEnd Arrow: se è True viene visualizzato un simbolo all'ultimo punto del wire, quindi può essere usato come una linea di annotazione.
  • VIEWArrow Size: specifica la dimensione del simbolo visualizzato alla fine del wire.
  • VIEWArrow Type: specifica il tipo di simbolo visualizzato alla fine del filo, che può essere "Dot", "Circle", "Arrow", o "Tick".
  • VIEWPattern: specifica un tipo di Campitura con cui riempire la faccia del filo chiuso. Questa proprietà funziona solo se DATAMake Face è True, e se VIEWDisplay Mode è "Flat Lines".
  • VIEWPattern Size: specifica la dimensione della Campitura.

Script

Lo strumento DWire può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Wire = makeWire(pointslist, closed=False, placement=None, face=None, support=None)
Wire = makeWire(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Crea un oggetto Wire con l'elenco di punti indicato, pointslist.
    • Ogni punto nella lista è definito dal suo FreeCAD.Vector, con unità in millimetri.
    • In alternativa, l'input può essere una Part.Wire, da cui vengono estratti i punti.
  • Se closed è True, o se il primo e l'ultimo punto coincidono, la polilinea è chiusa.
  • Se viene dato un placement esso viene usato; altrimenti la forma viene creata nell'origine.
  • Se face è True e la polilinea è chiusa, diventa una faccia e appare riempita.

Esempio:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)

Wire1 = Draft.makeWire([p1, p2, p3], closed=True)
Wire2 = Draft.makeWire([p1, 2*p3, 1.3*p2], closed=True)
Wire3 = Draft.makeWire([1.3*p3, p1, -1.7*p2], closed=True)
Arrow-left.svg Draft Line.svg Linea Pagina precedente:
Pagina successiva: Raccordot Draft Fillet.svg Arrow-right.svg